Package org.snpeff.interval

# Class Gtf2Marker

java.lang.Object
org.snpeff.interval.Interval
org.snpeff.interval.Marker
org.snpeff.interval.Custom
org.snpeff.interval.GffMarker
org.snpeff.interval.Gtf2Marker

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<Interval>`, `Iterable<KeyValue<String,String>>`, `TxtSerializable`

public class Gtf2Marker extends GffMarker
An interval intended as a mark

Author:
  pcingola
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.snpeff.interval.GffMarker

`FIELD_BIOTYPE, FIELD_DB_XREF, FIELD_EXON_ID, FIELD_GENE, FIELD_GENE_BIOTYPE, FIELD_GENE_ID, FIELD_GENE_NAME, FIELD_GENE_TYPE, FIELD_ID, FIELD_NAME, FIELD_NAMEU, FIELD_PARENT, FIELD_PROTEIN_ID, FIELD_TAG, FIELD_TRANSCRIPT_ID, FIELD_TRANSCRIPT_TSL, FIELD_TRANSCRIPT_VERSION, MULTIPLE_VALUES_SEPARATOR`

### Fields inherited from class org.snpeff.interval.Marker

`type`

### Fields inherited from class org.snpeff.interval.Interval

`chromosomeNameOri, end, id, parent, start, strandMinus`

## Constructor Summary

Constructors
Constructor
Description
`Gtf2Marker()`
`Gtf2Marker(Genome genome, String line)`
`Gtf2Marker(Marker parent, int start, int end, boolean strandMinus, String id)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isMultipleValues(String key)`
Does the key have mutiple values
`protected void`
`parseAttributes(String attrStr)`
Parse attributes

### Methods inherited from class org.snpeff.interval.GffMarker

`add, canParseLine, getAttr, getBiotype, getBioType, getBiotypeGeneric, getFrame, getGeneBiotype, getGeneId, getGeneName, getGffParentId, getGffParentIds, getGffType, getProteinId, getTags, getTranscriptBiotype, getTranscriptId, getTranscriptTsl, getTranscriptVersion, hasAnnotations, hasAttr, isProteingCoding, iterator, parse, parseId, toString`

### Methods inherited from class org.snpeff.interval.Custom

`cloneShallow, getLabel, getScore, setLabel, setScore, variantEffect`

### Methods inherited from class org.snpeff.interval.Marker

`adjust, apply, applyDel, applyDup, applyIns, applyMixed, clone, codonTable, compareTo, compareToPos, distance, distanceBases, getParent, getType, idChain, idChain, idChain, includes, intersect, isAdjustIfParentDoesNotInclude, isDeferredAnalysis, isShowWarningIfParentDoesNotInclude, minus, query, query, readTxt, serializeParse, serializeSave, shouldApply, union, variantEffectNonRef`

### Methods inherited from class org.snpeff.interval.Interval

`equals, findParent, getChromosome, getChromosomeName, getChromosomeNameOri, getChromosomeNum, getEnd, getGenome, getGenomeName, getId, getStart, getStrand, hashCode, intersects, intersects, intersects, intersects, intersectSize, isCircular, isSameChromo, isStrandMinus, isStrandPlus, isValid, setChromosomeNameOri, setEnd, setId, setParent, setStart, setStrandMinus, shiftCoordinates, size, toStr, toStringAsciiArt, toStrPos`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### Gtf2Marker

public Gtf2Marker()

### Gtf2Marker

public Gtf2Marker(Genome genome, String line)

### Gtf2Marker

public Gtf2Marker(Marker parent, int start, int end, boolean strandMinus, String id)

## Method Details

### isMultipleValues

public boolean isMultipleValues(String key)
Does the key have mutiple values

Overrides:
  `isMultipleValues` in class `GffMarker`

### parseAttributes

protected void parseAttributes(String attrStr)
Parse attributes

Overrides:
  `parseAttributes` in class `GffMarker`